Redmine - Defect #16568

Referensing commits to issues across all projects

2014-04-08 16:04 - Pavel Potcheptsov

Status: Needs feedback Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:
Resolution: Affected version: 24.0
Description
| have situation when referencing works in one case and doesn't work in other.
Settings:
« Subversion o svn 1.8.8
_ | Darcs
| Mercurial
_| Cvs
_| Bazaar
v/ Git o git 1.7.1
_| Filesystem
u can figure your S( nman 1 ifig, figura 1 2 e he app 1 er e l¢]
Fetch commits automatically
Enable WS for repository management v
API key ksHwCblORcvBWR3KrFq7 Generate a key
Maximum number of revisions displayed on 1gg
file log
Referencing and fixing issues in commit messages
Referencing keywords (efs references,IssuelD
Multiple values allowe nma separated).
Allow issues of all the other projects to be |«
referenced and fixed
Enable time logging |
Activity for logged time pefault j
Tracker Fixing keywords Applied status % Done
all = fixes,closes Fixed =l 100% ~| W

It works when referencing issue is in parent project for repository's project:

2025-08-23

Name
-t
Latest revisions

# Date
53 o

52
51

2014-04-08 15:14

2014-04-04 15:17
2014-04-04 14:34

size Revision Age

53 1 minute

Author

refs #1453,
- one.

- two.

Pavel Potcheptsov

Pavel Potcheptsov refs #+451+. Third line has been added to readme.

Pavel Potcheptsov refs #3145
Task #14511

Update

v TKF;
’
*’ Added by Pavel Potcheptsov 21 days ago. Updated 4 days ago.
rs

»

Status: Closed

Priority: Normal

Assignee: g% Pavel Potcheptsov
Category: -

Target version: -

Duration:
Add to Multi Time Tracker

Subtasks

Related issues

History

i.‘,‘ Updated by Pavel Potcheptsov 18 days ago

5.

-
3]

* Status changed from Assigned to In process
* Priority changed from Low to Normal
s 9% Done changed from 0 to 10

Start date: 2014-03-18

Due date:

% Done: 100%
Spent time: 14.50 hours

#1

t i
-

.‘.43";' Updated by Pavel Potcheptsov

8 days ago

* % Done changed from 10 to 20

#2

Associated revisions

Revision 51
Added by Pavel Potcheptsov 4 days ago

refs #14531

Revision 52

Added by Pavel Potcheptsov 4 days ago

refs #44524, Third line has been added to readme.
Revision 53

Added by Pavel Potcheptsov 15 minutes ago

refs #14511,
- one.
- two.

Watch |[| Copy W Delete

Add

Add

Name Size Revision Age Author
u branches 89 about 2 hours W
o trunk 81 6 days W
Latest revisions
# Date Author
89 2014-04-08 13:35 [y racmrc- refs 14672
fixing of lost connection problem after sleeping of iPhone.
88 . 2014-04-07 16:46 A . refs #13716.
- Afterheater bl
Afterheater

ck is invisible now when it is not installed.
ck is grayed now when it is disabled.
Featur Update (g} Log time Watch [, Copy [l Delete

Next »

« Previous

by Ver 2.xx: B i Py

e

F) -
) =34

* h BEFT k

X e

W

ﬁv Added by m3 months age. Updated about 22 hours ago.

Status: Fixed Start date: 2014-01-02

Priority: Normal Due date:

Assignee: [Ty - % Done: 100%
Category: & Spent time: 15.00 hours
Target version: -

Duration:

Description 2 Quote

Add to Multi Time Tracker

Subtasks Add

Related issues Add

Closed 2013-11-26 G
In process 2014-03-13 G

Related to
Related to g

History
E{'gi Updated by giminispge 3 months ago #1

* Description updated (diff)

=i

| execute this manually after commit:

# cd /var/www/rm2.4.0/ && ruby ./script/rails runner "Repository.fetch_changesets" -e production

Environment:
Redmine version 2.4.0.stable.12309
Ruby version 1.9.3-p327 (2012-11-10) [1686-1inux]
Rails version 3.2.15
Environment production
Database adapter Mysql2

SCM:
Subversion 1.8.8
Git 1.7.1
Filesystem

Redmine plugins:
multi_time_tracker
projects_table
redmine_better_gantt_chart

o O O O
N O O
O O

redmine_drafts
redmine_equipment_status_viewer 1.0.1
redmine_fields_permissions
redmine_hide_estimated_hours
redmine_lightbox
redmine_monitoring_controlling
redmine_plugin_views_revisions
redmine_timesheet_plugin

N e e R e R e R
N O O oo
B O R P P OO

redmine_xls_export

History

#1 - 2014-05-07 05:47 - Toshi MARUYAMA

- Status changed from New to Needs feedback

It seems user does not have "View changesets" permission.

#2 - 2014-05-14 13:06 - Pavel Potcheptsov
- File rm_refer6.png added
Hello, | believe all our users have this permission:

Repository
Manage repository « Browse repository
+| Commit access Manage related issues
Work:
project (repository) --> sub-project (issue)
project (issue) --> sub-project (repository)

Doesn't work:
project (repository)
project (issue)

project (repository)
project --> sub-project (issue)

project (issue)
project —--> sub-project (repository)

project
| === > sub-projectl (repository)
| === > sub-project2 (issue)

and a lot of variants here..

#3 - 2014-05-14 13:23 - Toshi MARUYAMA

| think some of your plugins cause probrem in following lines.

e source:tags/2.5.1/app/controllers/issues_controller.rb#L.115
e source:tags/2.5.1/app/models/changeset.rb#L50

#4 - 2014-05-14 15:54 - Pavel Potcheptsov

| think some of your plugins cause probrem in following lines.

What should | search in source code of my plugins?
How to locate which one cause this problem?

I've found that xIs_export_plugin has relation with issue_controller starting from line 76.

+| View changesets

Files

rm_refer1.png 68 KB 2014-04-08
rm_refer2.png 39.9 KB 2014-04-08
rm_refer3.png 86.9 KB 2014-04-08
rm_referd.png 30.9 KB 2014-04-08
rm_refer5.png 132 KB 2014-04-08
rm_refer6.png 8.72 KB 2014-05-14

2025-08-23

Pavel Potcheptsov
Pavel Potcheptsov
Pavel Potcheptsov
Pavel Potcheptsov
Pavel Potcheptsov
Pavel Potcheptsov
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.1/app/controllers/issues_controller.rb#L115
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.1/app/models/changeset.rb#L50
https://github.com/two-pack/redmine_xls_export/blob/features/app/controllers/xls_export_controller.rb
http://www.tcpdf.org

